Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035405
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-03-02 12:372017-03-15 20:20
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision3d16b1259b6f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035405: StandardWindowTest cannot be executed

DescriptionStandardWindowTest cannot be executed because if fails with internal errors regardless tested views would fail.
Steps To ReproduceExecute StandardWindowTest
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035403 closedvmromanos jslint error in Financial Account window 
related to defect 0033554 scheduledjarmendariz some test cases not executed in CI 
related to defect 0035406 closedTriage Finance Employee window shows error 
related to defect 0035407 closedvmromanos Accounting Dimension window has several header tabs 

-  Notes
(0094681)
alostale (developer)
2017-03-02 12:45

Once fixed it detects issues 0035403, 0035406 and 0035407
(0094683)
hgbot (developer)
2017-03-02 12:54

Repository: erp/devel/pi
Changeset: 3d16b1259b6f03184681867ca1bd453eec1ce52f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 02 12:51:30 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3d16b1259b6f03184681867ca1bd453eec1ce52f [^]

fixed bug 35405: StandardWindowTest cannot be executed

  - Added fake variables so that some views can be generated
  - Enable jslint to also detect this kind of problems
  - Improve log in case of error

---
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/StandardWindowTest.java
---
(0094903)
caristu (developer)
2017-03-10 10:44

Code reviewed + tested OK. The test can now detect errors on window generation.
(0095249)
hudsonbot (developer)
2017-03-15 20:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-03-02 12:37 alostale New Issue
2017-03-02 12:37 alostale Assigned To => platform
2017-03-02 12:37 alostale Modules => Core
2017-03-02 12:37 alostale Triggers an Emergency Pack => No
2017-03-02 12:37 alostale Relationship added related to 0035404
2017-03-02 12:38 alostale Relationship deleted related to 0035404
2017-03-02 12:38 alostale Relationship added depends on 0035403
2017-03-02 12:41 alostale Relationship added related to 0035406
2017-03-02 12:44 alostale Relationship added related to 0035407
2017-03-02 12:44 alostale Relationship replaced related to 0035403
2017-03-02 12:45 alostale Note Added: 0094681
2017-03-02 12:51 alostale Assigned To platform => alostale
2017-03-02 12:52 alostale Review Assigned To => caristu
2017-03-02 12:54 hgbot Checkin
2017-03-02 12:54 hgbot Note Added: 0094683
2017-03-02 12:54 hgbot Status new => resolved
2017-03-02 12:54 hgbot Resolution open => fixed
2017-03-02 12:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d16b1259b6f03184681867ca1bd453eec1ce52f [^]
2017-03-02 12:54 alostale Relationship added related to 0033554
2017-03-10 10:44 caristu Note Added: 0094903
2017-03-10 10:44 caristu Status resolved => closed
2017-03-10 10:44 caristu Fixed in Version => 3.0PR17Q2
2017-03-15 20:20 hudsonbot Checkin
2017-03-15 20:20 hudsonbot Note Added: 0095249


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker